/******************************************************************************
*
* Narrative : Defines function prototypes for julian and gregorian date
*	      conversion functions.  Converts any date from 10/16/1582
*	      to 12/31/9999.
*
* Notice    : Copr. (C) 1990, 1991 Albert C. Schmitt.  All Rights Reserved.
*
******************************************************************************/

#if !defined(DATEVLD_H)
#define DATEVLD_H

#ifdef __cplusplus
extern "C" {
#endif

LPSTR FAR PASCAL dayName(LONG jdate);
int FAR PASCAL daysInMonth(int month, int year);
LONG FAR PASCAL _fromJulian(LPINT month, LPINT day, LPINT year, LONG jdate);
int FAR PASCAL isLeapYear(int year);
VOID FAR PASCAL toDate(LPSTR sdate, LONG jdate);
LONG FAR PASCAL toJul (LPSTR sdate);
LONG FAR PASCAL _tojulian (int month, int day, int year);
int FAR PASCAL yearName(LONG jdate);
VOID FAR PASCAL StrDate (LPSTR sdate, int month, int day, int year);
int FAR PASCAL dayOfWeek(LONG jdate);
void BuildDateFormat(void);

#ifdef	__cplusplus
}
#endif

#endif /* DATEVLD_H */
