{------------------------------------------------------------------------------
*
* Narrative : Defines function prototypes for julian and gregorian date
*	      conversion functions.  Converts any date from 10/16/1582
*	      to 12/31/9999.  Turbo Pascal For Windows.
*
* Notice    : Copr. (C) 1990, 1991 Albert C. Schmitt.  All Rights Reserved.
*
------------------------------------------------------------------------------}

unit Cal;
{$A+}	{Align Data}
{$D-}	{Debug Information}
{$F+}   {Far Calls}
{$N-}	{Floating Point On}
{$S-}	{Stack Checking}
{$X+}	{Extended Syntax}

interface

uses WinProcs, WinTypes;

{ function prototypes }
function dayName(jdate : LongInt) : PChar;
function daysInMonth(month, year : Integer) : Integer;
function _fromJulian(month, day, year : PInteger; jdate : LongInt) : LongInt;
function isLeapYear(year : Integer) : Integer;
procedure toDate(sdate : PChar; jdate : LongInt);
function toJul (sdate : PChar) : LongInt;
function _tojulian (month, day, year : Integer) : LongInt;
function yearName(jdate : LongInt) : Integer;
procedure StrDate (sdate : PChar; month, day, year : Integer);
function dayOfWeek(jdate : LongInt) : Integer;

implementation

function dayName;     external 'datevld' index 2;
function daysInMonth; external 'datevld' index 3;
function _fromJulian; external 'datevld' index 4;
function isLeapYear;  external 'datevld' index 5;
procedure toDate;     external 'datevld' index 6;
function toJul;       external 'datevld' index 7;
function _tojulian;   external 'datevld' index 8;
function yearName;    external 'datevld' index 9;
procedure StrDate;    external 'datevld' index 10;
function dayOfWeek;   external 'datevld' index 11;

end.
